package hr.fer.tel.ruazosa.specialreceiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

/**
 * Created by kpripuzic on 04.11.14..
 */
public class SpecialReceiver extends BroadcastReceiver {
    public static final String SPECIAL_EVENT = "hr.fer.tel.ruazosa.SPECIAL_EVENT";

    @Override
    public void onReceive(Context context, Intent intent) {

        Bundle extras = intent.getExtras();

        if (extras != null) {
            String message = extras.getString("message");

            Intent newIntent = new Intent(context, ReceiverActivity.class);
            newIntent.putExtra("message", "Received" + message);
            newIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            context.startActivity(newIntent);
        }
    }
}
