package hr.fer.tel.ruazosa.specialbroadcaster;

import java.util.Date;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class BroadcastActivity extends Activity {

	public static final String SPECIAL_EVENT = "hr.fer.tel.ruazosa.SPECIAL_EVENT";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_broadcast);

		Button buttonBroadcastIntent = (Button) findViewById(R.id.button_broadcast_intent);
		buttonBroadcastIntent.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				Intent intent = new Intent(SPECIAL_EVENT);
                intent.putExtra("message", "special event: " + new Date().toString());
				sendBroadcast(intent);
				
				LinearLayout layout = (LinearLayout) findViewById(R.id.LinearLayout);
				TextView lastBroadcast = new TextView(BroadcastActivity.this);
				lastBroadcast.setText("Broadcasting special event: " + new Date().toString());
				layout.addView(lastBroadcast);
			}
		});
	}
}
